cordova-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Steven Gill <>
Subject createmobilespec issue [tools release]
Date Fri, 27 Feb 2015 19:35:01 GMT
Trying to run createmobilespec as part of the tools release.

Running into this problem.

TypeError: Invalid Version: 0.1
    at new SemVer
    at compare
    at Array.forEach (native)
    at findLocalPlugin
    at Q.when.then.then.options.plugin_src_dir
    at _fulfilled
    at self.promiseDispatch.done
    at Promise.promise.promiseDispatch

Looking into it, the issue comes up when trying to install

Here is the line in cordova-lib that fails:

pinfo.version equals 0.1 at this step for the test-framework plugin
latest.version equals 0.0.2-dev (using my local copy)

Is the logic for generating pinfo broken?
Should the following line have caught this and returned? (

I will continue to debug. Figured I'd save some time if someone knows this
better than me though.

  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message